%define version 0.10.11

%define release %mkrel 3
%define         _glib2          2.2
%define major 0.10
%define majorminor 0.10
%define bname gstreamer0.10
%define name %bname-plugins-bad
%define build_plf 0
%{?_with_plf: %{expand: %%global build_plf 1}}
%define build_experimental 1
%{?_with_experimental: %{expand: %%global build_experimental 1}}
%define build_amrwb 0
%define build_faac 0
%define build_faad 0
%define build_xvid 0
%define build_x264 0
%define build_dts 0
%define build_dirac 1
%define build_celt 0
%if %build_plf
%define distsuffix plf
%define build_amrwb 1
%define build_faac 1
%define build_faad 1
%define build_x264 1
%define build_xvid 1
%define build_dts 1
%endif

%define libmajor 0
%define libname %mklibname gstphotography %major %libmajor
%define develname %mklibname -d gstphotography

Summary: 	GStreamer Streaming-media framework plug-ins
Name: 		%name
Version: 	%version
Release: 	%release
License: 	LGPLv2+ and GPLv2+
Group: 		Sound
Source: 	http://gstreamer.freedesktop.org/src/gst-plugins-bad/gst-plugins-bad-%{version}.tar.bz2
Patch: gst-plugins-bad-0.10.7-wildmidi-timidity.cfg.patch
# gw: fix for bug #36437 (paths to realplayer codecs)
# prefer codecs from the RealPlayer package in restricted
Patch1: gst-plugins-bad-0.10.6-real-codecs-path.patch
#gw aacparse: Refactor check_valid_frame to expose broken code
#needed by patch 3
Patch2: gst-plugins-bad-3f90e6ff137d3e6e952b6c1550bd8a535d7fc391.patch
#gw Fix busyloop when seeking. Fixes b.g.o #575388
Patch3: gst-plugins-bad-83016fa9dc4d3229aae00ce53488a6375ca43132.patch
URL:            http://gstreamer.freedesktop.org/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root 
#gw for the pixbuf plugin
BuildRequires:  gtk+2-devel
BuildRequires:  glib2-devel >= %_glib2 
BuildRequires: libpng-devel >= 1.2.4-4mdk
BuildRequires: liboil-devel >= 0.3.2
BuildRequires: libSDL-devel
BuildRequires: libbzip2-devel
BuildRequires: libmodplug-devel
BuildRequires: libmusicbrainz-devel
BuildRequires: exempi-devel
BuildRequires: openssl-devel
%ifarch %ix86
BuildRequires: nasm => 0.90
%endif
BuildRequires: valgrind libcheck-devel
BuildRequires: libgstreamer-plugins-base-devel >= 0.10.20
BuildRequires: libgstreamer-devel >= 0.10.21.1
BuildRequires: libcdaudio-devel
BuildRequires: libsndfile-devel
BuildRequires: libmimic-devel
Provides:	%bname-audiosrc
Provides:	%bname-audiosink
Obsoletes:	gstreamer0.10-fluendo-mpegdemux <= 0.10.15
Provides:	gstreamer0.10-fluendo-mpegdemux
Conflicts: %bname-farsight <= 1:0.12.10

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This package contains a set of plug-ins that aren't up to par compared
to the rest. They might be close to being good quality, but they're
missing something - be it a good code review, some documentation, a
set of tests, a real live maintainer, or some actual wide use. If the
blanks are filled in they might be upgraded to become part of either
gstreamer-plugins-good or gstreamer-plugins-ugly, depending on the
other factors. If the plug-ins break, you can't complain - instead,
you can fix the problem and send us a patch, or bribe someone into
fixing them for you.  New contributors can start here for things to
work on.

%if %build_plf
This package is in PLF as it violates some patents.
%endif


%package -n %libname
Summary: Libraries for GStreamer streaming-media framework
Group: System/Libraries

%description -n %libname
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%package -n %develname
Summary: Libraries and include files for GStreamer streaming-media framework
Group: Development/C
Requires: %{libname} = %{version}
Provides: libgstphotography-devel = %version-%release

%description -n %develname
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new   
plugins.

This package contains the libraries and includes files necessary to develop
applications and plugins for GStreamer.


%package -n %bname-dc1394
Summary: GStreamer DC1394 plugin
Group: System/Libraries
BuildRequires: libdc1394-20-devel

%description -n %bname-dc1394
This is a IEEE 1394 (Firewire) support plugin for GStreamer.

%files -n %bname-dc1394
%defattr(-, root, root)
%_libdir/gstreamer-%majorminor/libgstdc1394.so

%package -n %bname-ofa
Summary: GStreamer OFA plugin
Group: Sound
BuildRequires: libofa-devel
%description -n %bname-ofa
This is a metadata support plugin for GStreamer based on the Open
Fingerprint Architecture library.

%files -n %bname-ofa
%defattr(-, root, root)
%_libdir/gstreamer-%majorminor/libgstofa.so

%package -n %bname-wildmidi
Summary: GStreamer wildmidi plugin
Group: Sound
BuildRequires: wildmidi-devel
Requires: timidity-instruments
%description -n %bname-wildmidi
This is a MIDI plugin for GStreamer based on the wildmidi library.

%files -n %bname-wildmidi
%defattr(-, root, root)
%_libdir/gstreamer-%majorminor/libgstwildmidi.so

%package -n %bname-mpeg2enc
Summary:       GStreamer mjpegtools plug-in
Group:         Video
BuildRequires: libmjpegtools-devel

%description -n %bname-mpeg2enc
mjpegtools-based encoding and decoding plug-in.

%files -n %bname-mpeg2enc
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstmpeg2enc.so
%_libdir/gstreamer-%majorminor/libgstmplex.so

%if %build_dirac
%package -n %bname-dirac
Summary:       GStreamer dirac plug-in
Group:         Video
BuildRequires: libdirac-devel >= 0.9

%description -n %bname-dirac
Dirac encoding and decoding plug-in.

%files -n %bname-dirac
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstdirac.so
%endif

### LADSPA ###
%package -n %bname-ladspa
Summary: Gstreamer wrapper for LADSPA plug-ins
Group: Sound
Requires:      ladspa
BuildRequires: ladspa-devel

%description -n %bname-ladspa
Plug-in which wraps LADSPA plug-ins for use by GStreamer applications.
We suggest you also get the cmt package of ladspa plug-ins
and steve harris's swh-plugins package.

%files -n %bname-ladspa
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstladspa.so

%package -n %bname-jack
Summary:  GStreamer plug-in for the Jack Sound Server
Group:    Sound
BuildRequires: libjack-devel => 0.28.0
Provides:	%bname-audiosrc
Provides:	%bname-audiosink

%description -n %bname-jack
Plug-in for the JACK professional sound server.

%files -n %bname-jack
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstjack.so

%if %build_dts
%package -n %bname-dts
Summary:GStreamer plug-ins for DTS audio playback
Group:         Sound
BuildRequires: dtsdec-devel

%description -n %bname-dts
Plug-ins for decoding DTS audio.

%files -n %bname-dts
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstdtsdec.so
%endif

%if %build_xvid
%package -n %bname-xvid
Summary:GStreamer plug-ins for XVID video encoding and decoding
Group:         Video
BuildRequires: xvid-devel >= 1.1
 
%description -n %bname-xvid
Plug-ins for encoding and decoding XVID video.
 
This package is in PLF as it violates some patents.
%files -n %bname-xvid
%defattr(-, root, root)
%_libdir/gstreamer-%{majorminor}/libgstxvid.so
%endif

%if %build_x264
%package -n %bname-x264
Summary:GStreamer plug-in for H264/AVC video encoding
Group:         Video
BuildRequires: libx264-devel
 
%description -n %bname-x264
Plug-in for encoding H264/AVC video.
 
This package is in PLF as it violates some patents.
%files -n %bname-x264
%defattr(-, root, root)
%_libdir/gstreamer-%{majorminor}/libgstx264.so
%endif

%package -n %bname-musepack
Summary:GStreamer plug-in Musepack playback
Group:         Sound
BuildRequires: libmpcdec-devel
 
%description -n %bname-musepack
This plugin for GStreamer can play audio files which are encoded with
Andree Buschmann's encoder Musepack. These files have the filename
postfixes mpc, mp+ or mpp.

%files -n %bname-musepack
%defattr(-, root, root)
%_libdir/gstreamer-%{majorminor}/libgstmusepack.so

%package -n %bname-mms
Summary:       GStreamer plug-in for mms streams
Group:         System/Libraries
Requires:      %bname-plugins = %{version}
BuildRequires: libmms-devel

%description -n %bname-mms
Plug-in supporting the mms protocol based on the libmms library.

%files -n %bname-mms
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstmms.so

%package -n %bname-directfb
Summary:       GStreamer plug-in for DirectFB output
Group: Video
Requires:      %bname-plugins = %{version}
BuildRequires: libdirectfb-devel

%description -n %bname-directfb
Plug-in supporting the video output to DirectFB.

%files -n %bname-directfb
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstdfbvideosink.so

%package -n %bname-soundtouch
Summary:       GStreamer plug-in for SoundTouch support
Group: Sound
Requires:      %bname-plugins = %{version}
BuildRequires: libsoundtouch-devel

%description -n %bname-soundtouch
Plug-in supporting the SoundTouch audio manipulation support.

%files -n %bname-soundtouch
%defattr(-, root, root)
%_libdir/gstreamer-%majorminor/libgstsoundtouch.so

%package -n %bname-metadata
Summary:       GStreamer plug-in for metadata support
Group: System/Libraries
Requires:      %bname-plugins = %{version}
BuildRequires: libexif-devel
BuildRequires: libiptcdata-devel

%description -n %bname-metadata
Plug-in supporting several metadata formats.

%files -n %bname-metadata
%defattr(-, root, root)
%_libdir/gstreamer-%majorminor/libgstmetadata.so

%if %build_experimental
%package -n %bname-resindvd
Summary: GStreamer DVD menu plugin
Group: Video
BuildRequires: libdvdnav-devel

%description -n %bname-resindvd
This is a DVD playback plugin for GStreamer with menu support.

%files -n %bname-resindvd
%defattr(-, root, root)
%_libdir/gstreamer-%majorminor/libresindvd.so
%endif

%package doc
Group: Books/Computer books
Summary: GStreamer application library
%description doc
This is the documentation of %name.



%prep
%setup -q -n gst-plugins-bad-%{version}
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%configure2_5x --disable-dependency-tracking \
%if %build_plf
  --with-package-name='PLF %name package' \
  --with-package-origin='http://plf.zarb.org/' \
%else
  --with-package-name='Mandriva %name package' \
  --with-package-origin='http://www.mandriva.com/' \
%endif
%if ! %build_celt
	--disable-celt \
%endif
%if ! %build_faac
	--disable-faac \
%endif
%if ! %build_faad
	--disable-faad \
%endif
%if ! %build_dirac
        --disable-dirac \
%endif
%if %build_experimental
	--enable-experimental
%endif

%make

%check
cd tests/check
make check

%install
rm -rf %buildroot gst-plugins-base-%majorminor.lang
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
%find_lang gst-plugins-bad-%majorminor
# Clean out files that should not be part of the rpm.
# This is the recommended way of dealing with it for RH8
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig
%endif

%files doc
%defattr(-, root, root)
%doc docs/plugins/html

%files -f gst-plugins-bad-%majorminor.lang
%defattr(-, root, root)
%doc AUTHORS COPYING README NEWS 
%_libdir/gstreamer-%majorminor/libgstaacparse.so
%_libdir/gstreamer-%majorminor/libgstaiffparse.so
%_libdir/gstreamer-%majorminor/libgstamrparse.so
%_libdir/gstreamer-%majorminor/libgstapexsink.so
%_libdir/gstreamer-%majorminor/libgstautoconvert.so
%_libdir/gstreamer-%majorminor/libgstbayer.so
%_libdir/gstreamer-%majorminor/libgstcamerabin.so
%_libdir/gstreamer-%majorminor/libgstdccp.so
%_libdir/gstreamer-%majorminor/libgstdtmf.so
%_libdir/gstreamer-%majorminor/libgstdvb.so
%_libdir/gstreamer-%majorminor/libgstdvdspu.so
%_libdir/gstreamer-%majorminor/libgstfbdevsink.so
%_libdir/gstreamer-%majorminor/libgstflv.so
%_libdir/gstreamer-%majorminor/libgstfestival.so
%_libdir/gstreamer-%majorminor/libgstlegacyresample.so
%_libdir/gstreamer-%majorminor/libgstliveadder.so
%_libdir/gstreamer-%majorminor/libgstmpegdemux.so
%_libdir/gstreamer-%majorminor/libgstmpegtsmux.so
%_libdir/gstreamer-%majorminor/libgstmpegvideoparse.so
%_libdir/gstreamer-%majorminor/libgstmpeg4videoparse.so
%_libdir/gstreamer-%majorminor/libgstmve.so
%_libdir/gstreamer-%majorminor/libgstmimic.so
%_libdir/gstreamer-%majorminor/libgstmxf.so
%_libdir/gstreamer-%majorminor/libgstoss4audio.so
%_libdir/gstreamer-%majorminor/libgstpcapparse.so
%_libdir/gstreamer-%majorminor/libgstqtmux.so
%_libdir/gstreamer-%majorminor/libgstscaletempoplugin.so
%_libdir/gstreamer-%majorminor/libgstrawparse.so
%_libdir/gstreamer-%majorminor/libgstreal.so
%_libdir/gstreamer-%majorminor/libgstrtpmanager.so
%_libdir/gstreamer-%majorminor/libgstrtpmux.so
%_libdir/gstreamer-%majorminor/libgstsdpelem.so
%_libdir/gstreamer-%majorminor/libgstselector.so
%_libdir/gstreamer-%majorminor/libgstsiren.so
%_libdir/gstreamer-%majorminor/libgstsndfile.so
%_libdir/gstreamer-%majorminor/libgststereo.so
%_libdir/gstreamer-%majorminor/libgstsubenc.so
%_libdir/gstreamer-%majorminor/libgstvalve.so
%_libdir/gstreamer-%majorminor/libgstvcdsrc.so
%_libdir/gstreamer-%majorminor/libgstvideosignal.so
%_libdir/gstreamer-%majorminor/libgstvmnc.so
%_libdir/gstreamer-%majorminor/libgstalsaspdif.so
%_libdir/gstreamer-%majorminor/libgstbz2.so
%_libdir/gstreamer-%majorminor/libgstcdaudio.so
%_libdir/gstreamer-%majorminor/libgstcdxaparse.so
%_libdir/gstreamer-%majorminor/libgstdeinterlace.so
%if %build_experimental
%_libdir/gstreamer-%majorminor/libgstdeinterlace2.so
%endif
%_libdir/gstreamer-%majorminor/libgstfreeze.so
%_libdir/gstreamer-%majorminor/libgsth264parse.so
%_libdir/gstreamer-%majorminor/libgstmodplug.so
%_libdir/gstreamer-%majorminor/libgstnsf.so
%_libdir/gstreamer-%majorminor/libgstnuvdemux.so
%_libdir/gstreamer-%majorminor/libgstrfbsrc.so
%_libdir/gstreamer-%majorminor/libgstsdl.so
%_libdir/gstreamer-%majorminor/libgstspeed.so
%_libdir/gstreamer-%majorminor/libgsttrm.so
%_libdir/gstreamer-%majorminor/libgsttta.so
%_libdir/gstreamer-%majorminor/libgsty4menc.so
%_libdir/gstreamer-%majorminor/libgstxdgmime.so

%if %build_faad
%package -n %bname-faad
Summary:GStreamer plug-ins for AAC audio playback
Group:         Sound
Requires: %bname-plugins >= %version
BuildRequires: libfaad2-devel => 2.0
 
%description -n %bname-faad
Plug-ins for playing AAC audio
 
This package is in PLF as it violates some patents.
%files -n %bname-faad
%defattr(-, root, root)
%_libdir/gstreamer-%{majorminor}/libgstfaad.so
%endif

%if %build_faac
%package -n %bname-faac
Summary:GStreamer plug-ins for AAC audio encoding
Group:         Sound
Requires: %bname-plugins >= %version
BuildRequires: libfaac-devel
 
%description -n %bname-faac
Plug-ins for encoding AAC audio
 
This package is in PLF as it violates some patents.
%files -n %bname-faac
%defattr(-, root, root)
%_libdir/gstreamer-%{majorminor}/libgstfaac.so
%endif

%package -n %bname-gsm
Summary: GStreamer plugin for GSM lossy audio format
Group: Sound
Requires: %bname-plugins >= %{version}
BuildRequires: gsm-devel >= 1.0.10

%description -n %bname-gsm
Output plugin for GStreamer to convert to GSM lossy audio format.

%files -n %bname-gsm
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstgsm.so

%if 0
### SWFDEC FLASH PLUGIN ###
%package -n %bname-swfdec
Summary:  GStreamer Flash rendering plug-in
Group:    System/Libraries
Requires: %bname-plugins = %{version}
BuildRequires: libswfdec-devel => 0.3.0

%description -n %bname-swfdec
Plug-in for rendering Flash animations using swfdec library

%files -n %bname-swfdec
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstswfdec.so
%endif

%package -n %bname-neon
Summary:  GStreamer HTTP plugin based on libneon
Group:    System/Libraries
Requires: %bname-plugins = %{version}
BuildRequires: neon0.27-devel

%description -n %bname-neon
Plug-in for HTTP access based on libneon.

%files -n %bname-neon
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstneonhttpsrc.so

%package -n %bname-nas
Summary:  Gstreamer output plugin for the NAS sound server
Group:    Sound
Requires: %bname-plugins = %{version}
BuildRequires: libnas-devel

%description -n %bname-nas
Output plugin for GStreamer for use with the nas sound server.

%files -n %bname-nas
%defattr(-, root, root)
%_libdir/gstreamer-%majorminor/libgstnassink.so

%if %build_amrwb
%package -n %bname-amrwb
Summary: GStreamer plug-in for AMR-WB support
Group:  Sound
Requires: %bname-plugins >= %{version}
BuildRequires: libamrwb-devel

%description -n %bname-amrwb
Plug-in for decoding AMR-WB under GStreamer.

This package is in PLF as it violates some patents.
%files -n %bname-amrwb
%defattr(-, root, root)
%{_libdir}/gstreamer-%{majorminor}/libgstamrwb.so
%endif

%package -n %bname-jp2k
Summary: GStreamer plug-in for JPEG2000 support
Group:  Graphics
Requires: %bname-plugins >= %{version}
BuildRequires: libjasper-devel

%description -n %bname-jp2k
Plug-in for JPEG2000 support under GStreamer.

%files -n %bname-jp2k
%defattr(-, root, root)
%_libdir/gstreamer-%majorminor/libgstjp2k.so

%if %build_celt
%package -n %bname-celt
Summary: GStreamer plug-in for CELT support
Group:  Video
Requires: %bname-plugins >= %{version}
#gw 0.10.9 doesn't build with 0.5.0
BuildRequires: celt-devel < 0.5.0

%description -n %bname-celt
Plug-in for CELT support under GStreamer.

%files -n %bname-celt
%defattr(-, root, root)
%_libdir/gstreamer-%majorminor/libgstcelt.so
%endif

%files -n %libname
%defattr(-, root, root)
%{_libdir}/libgstphotography-%majorminor.so.%{libmajor}*

%files -n %develname
%defattr(-, root, root)
%{_libdir}/libgstphotography-%majorminor.so
%_includedir/gstreamer-0.10/gst/interfaces/photography*



%changelog
* Tue Mar 24 2009 Götz Waschk <waschk@mandriva.org> 0.10.11-3mdv2009.1
+ Revision: 360827
- fix hanging aacparse element

* Sat Mar 21 2009 Emmanuel Andry <eandry@mandriva.org> 0.10.11-2mdv2009.1
+ Revision: 359942
- BR libmimic-devel

* Sat Mar 21 2009 Götz Waschk <waschk@mandriva.org> 0.10.11-1mdv2009.1
+ Revision: 359798
- add conflict with farsight plugin
- fix deps
- new version
- drop patches 2,3
- update file list
- remove twolame package

* Fri Mar 06 2009 Götz Waschk <waschk@mandriva.org> 0.10.10-3mdv2009.1
+ Revision: 349851
- fix faad build
- fix crash in faad

* Wed Feb 11 2009 Götz Waschk <waschk@mandriva.org> 0.10.10-2mdv2009.1
+ Revision: 339351
- rebuild for new faad

* Tue Jan 20 2009 Götz Waschk <waschk@mandriva.org> 0.10.10-1mdv2009.1
+ Revision: 331734
- new version
- drop patch 3
- drop library package
- bump deps
- update file list

* Thu Dec 04 2008 Frederic Crozat <fcrozat@mandriva.com> 0.10.9-2mdv2009.1
+ Revision: 310004
- Obsolete / Provides gstreamer0.10-fluendo-mpegdemux, it has been merged in gst-plugins-bad

  + Frederik Himpe <fhimpe@mandriva.org>
    - Build against libneon0.27

  + Götz Waschk <waschk@mandriva.org>
    - add celt support

* Mon Nov 03 2008 Götz Waschk <waschk@mandriva.org> 0.10.9-1mdv2009.1
+ Revision: 299408
- new version
- add twolame and jp2k packages
- reenable dirac
- drop patch 2
- update patch 3
- update file list
- update build deps

* Tue Oct 14 2008 Götz Waschk <waschk@mandriva.org> 0.10.8-6mdv2009.1
+ Revision: 293625
- rebuild for broken build system
- fix build with new x264

* Tue Oct 14 2008 Götz Waschk <waschk@mandriva.org> 0.10.8-4mdv2009.1
+ Revision: 293566
- enable experimental dvd menu plugin

* Sun Aug 17 2008 Funda Wang <fundawang@mandriva.org> 0.10.8-3mdv2009.0
+ Revision: 272982
- rebuild for new dfb

* Thu Aug 07 2008 Frederic Crozat <fcrozat@mandriva.com> 0.10.8-2mdv2009.0
+ Revision: 266439
- Patch2 : ensure translated strings are encoded in UTF-8 (GNOME bug #546822)

  + Götz Waschk <waschk@mandriva.org>
    - add experimental build option

* Mon Aug 04 2008 Götz Waschk <waschk@mandriva.org> 0.10.8-1mdv2009.0
+ Revision: 263013
- new version
- update file list
- update license

* Fri Jul 25 2008 Götz Waschk <waschk@mandriva.org> 0.10.7-7mdv2009.0
+ Revision: 248833
- disable dirac

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 30 2008 Funda Wang <fundawang@mandriva.org> 0.10.7-6mdv2009.0
+ Revision: 213504
- rebuild for new directfb

* Fri May 16 2008 Götz Waschk <waschk@mandriva.org> 0.10.7-4mdv2009.0
+ Revision: 208185
- bump
- fix path to timidity.cfg
- make wildmidi plugin depend on instruments

* Mon May 12 2008 Götz Waschk <waschk@mandriva.org> 0.10.7-2mdv2009.0
+ Revision: 206247
- add dc1394 and wildmidi plugins

* Fri May 09 2008 Götz Waschk <waschk@mandriva.org> 0.10.7-1mdv2009.0
+ Revision: 204902
- new version
- drop patches 0,2,3
- add ofa, mplex, dirac, oss4, and subenc elements
- remove soup element, now in -good

* Tue Mar 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.10.6-5mdv2008.1
+ Revision: 190004
- split doc (no need on live CDs)

* Thu Mar 13 2008 Götz Waschk <waschk@mandriva.org> 0.10.6-4mdv2008.1
+ Revision: 187335
- add Mandriva branding

* Tue Mar 11 2008 Götz Waschk <waschk@mandriva.org> 0.10.6-3mdv2008.1
+ Revision: 185942
- AAC header fix
- disable checks (b.g.o #521749)
- build with exempi support

* Fri Feb 22 2008 Götz Waschk <waschk@mandriva.org> 0.10.6-2mdv2008.1
+ Revision: 173868
- fix nas plugin build
- update patch 2 with a CVS version

* Thu Feb 21 2008 Götz Waschk <waschk@mandriva.org> 0.10.6-1mdv2008.1
+ Revision: 173609
- new version
- drop patch 0
- update patch 1
- patch2: disable a failing test
- readd mpeg2enc plugin
- add soundtouch, soup and metadata packages
- update file list

* Sun Jan 20 2008 Götz Waschk <waschk@mandriva.org> 0.10.5-6mdv2008.1
+ Revision: 155298
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Jan 02 2008 Götz Waschk <waschk@mandriva.org> 0.10.5-5mdv2008.1
+ Revision: 140383
- rebuild

* Tue Jan 01 2008 Anssi Hannula <anssi@mandriva.org> 0.10.5-4mdv2008.1
+ Revision: 140124
- fix typo in x86_64 real path

* Tue Jan 01 2008 Götz Waschk <waschk@mandriva.org> 0.10.5-3mdv2008.1
+ Revision: 140076
- fix paths to the real codecs (bug #36437)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 28 2007 Götz Waschk <waschk@mandriva.org> 0.10.5-2mdv2008.1
+ Revision: 93529
- fix faad playback problem (upstream bug #476370)

* Wed Jun 20 2007 Götz Waschk <waschk@mandriva.org> 0.10.5-1mdv2008.0
+ Revision: 41853
- new version
- drop patch
- add x264, amrwb and nas packages
- add library package
- update file list

* Tue May 22 2007 Götz Waschk <waschk@mandriva.org> 0.10.4-2mdv2008.0
+ Revision: 29708
- disable mpeg2enc plugin
- disable checks


* Fri Feb 23 2007 Götz Waschk <waschk@mandriva.org> 0.10.4-2mdv2007.0
+ Revision: 124950
- rebuild for new libmpcdec
- disable swfdec plugin
- fix buildrequires and reenable checks

* Fri Dec 29 2006 Götz Waschk <waschk@mandriva.org> 0.10.4-1mdv2007.1
+ Revision: 102531
- fix buildrequires
- disable checks, one doesn't work in iurt
- unpack patch
- build with neon 0.26
- new version
- unpack patch
- add new plugins
- add docs
- fix distsuffix

* Fri Dec 08 2006 Götz Waschk <waschk@mandriva.org> 0.10.3-4mdv2007.1
+ Revision: 92217
- fix description
- Import gstreamer0.10-plugins-bad

* Fri Dec 08 2006 Götz Waschk <waschk@mandriva.org> 0.10.3-4mdv2007.1
- enable checks

* Wed Aug 23 2006 Götz Waschk <waschk@mandriva.org> 0.10.3-3mdv2007.0
- enable neon module

* Sun Jun 18 2006 Götz Waschk <waschk@mandriva.org> 0.10.3-2mdv2007.0
- add missing file
- fix buildrequires

* Tue May 09 2006 Götz Waschk <waschk@mandriva.org> 0.10.3-1mdk
- update buildrequires
- update file list
- update the patch
- New release 0.10.3

* Sat Apr 22 2006 Götz Waschk <waschk@mandriva.org> 0.10.1-2mdk
- update patch 0

* Wed Feb 22 2006 Götz Waschk <waschk@mandriva.org> 0.10.1-1mdk
- update file list
- New release 0.10.1

* Thu Feb 16 2006 Götz Waschk <waschk@mandriva.org> 0.10.0-3mdk
- add a patch

* Thu Dec 29 2005 Götz Waschk <waschk@mandriva.org> 0.10.0-2mdk
- improve description
- fix buildrequires

* Mon Dec 05 2005 Götz Waschk <waschk@mandriva.org> 0.10.0-1mdk
- initial package

